Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.rpc
Class RpcTokenException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.user.client.rpc.RpcTokenException

All Implemented Interfaces:
  IsSerializable, java.io.Serializable

    public class RpcTokenException

extends java.lang.RuntimeException
implements IsSerializable

Exception that will be passed to the `RpcTokenExceptionHandler.onRpcTokenException(RpcTokenException)` method when RPC token processing resulted in an error.

See Also:
  Serialized Form

Constructor Summary
`RpcTokenException()` Constructs an instance with the default message.
`RpcTokenException(java.lang.String msg)` Constructs an instance with the specified message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RpcTokenException

    public RpcTokenException()

  Constructs an instance with the default message.

### RpcTokenException

    public RpcTokenException(java.lang.String msg)

  Constructs an instance with the specified message.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD